from api_client.constants import IS_REDACT_HEADER

def redact_header(header):
    """redact header for secure display and logging

    :param header: API Request header generated by ApiFormatter
    :type header: dictionary
    :return: header
    :rty:e: dictionary
    """
    if header and ('Authorization' in header): 
        redacted = header.copy()
        
        if IS_REDACT_HEADER:
            redacted['Authorization'] = '{} {}'.format(header['Authorization'].split()[0],
                                                '*redacted*')
        return redacted
    else:
        pass